/*
<application>JAVASCRIPT ASSERTION UNIT</application>
<version>1.1</version>
<author>D. Fournier</author>
<e-mail>zenon48@users.sourceforge.net</e-mail>
<copyright>2002 ID EST</copyright>
<license>GPL</license>
<filename>signaturetest.js</filename>
<documentation></documentation>
*/
var
/*boolean*/DO_ASSERT = true, DONT_ASSERT = false;	///globaly enable the assertions chacking
var
/*string*/IS_STRING = '"JAVASCRIPT" ASSERTION UNIT', IS_ANOTHER_STRING = '"ECMA Script" Assertion Unit';


/*f)void*/function
TEST_signature(){
var
/*string*/atCall = 'TEST_signature: ';
var
/*int*/atWarn = 1;	//to index warnings

Assert.warn(atCall + atWarn++ + ') TEST with 1 argument signature -- assertion is inconditionally checked');
Assert.isFalse(IS_STRING);

Assert.warn(atCall + atWarn++ + ') TEST with 1 argument and assertion checking condition signature -- assertion is conditionally checked (false)');
Assert.isFalse(IS_STRING, DONT_ASSERT);

Assert.warn(atCall + atWarn++ + ') TEST with 1 argument and assertion checking condition signature -- assertion is conditionally checked (true)');
Assert.isFalse(IS_STRING, DO_ASSERT);

Assert.warn(atCall + atWarn++ + ') TEST with 1 argument and assertion comment -- assertion is inconditionally checked');
Assert.isFalse(IS_STRING, atCall + 'argument is: "JAVASCRIPT" ASSERTION UNIT');

Assert.warn(atCall + atWarn++ + ') TEST with 1 argument, assertion checking condition and assertion comment -- assertion is conditionally checked (true)');
Assert.isFalse(IS_STRING, DO_ASSERT, atCall + 'argument is: "JAVASCRIPT" ASSERTION UNIT');


Assert.warn(atCall + atWarn++ + ') TEST with 2 arguments signature -- assertion is inconditionally checked');
Assert.isEqual(IS_STRING, IS_ANOTHER_STRING);

Assert.warn(atCall + atWarn++ + ') TEST with 2 arguments and assertion checking condition signature -- assertion is conditionally checked (false)');
Assert.isEqual(IS_STRING, IS_ANOTHER_STRING, DONT_ASSERT);

Assert.warn(atCall + atWarn++ + ') TEST with 2 arguments and assertion checking condition signature -- assertion is conditionally checked (true)');
Assert.isEqual(IS_STRING, IS_ANOTHER_STRING, DO_ASSERT);

Assert.warn(atCall + atWarn++ + ') TEST with 2 arguments and assertion comment -- assertion is inconditionally checked');
Assert.isEqual(IS_STRING, IS_ANOTHER_STRING, atCall + 'argument1 is: "JAVASCRIPT" ASSERTION UNIT, argument2 is: "ECMA Script" Assertion Unit');

Assert.warn(atCall + atWarn++ + ') TEST with 2 arguments, assertion checking condition and assertion comment -- assertion is conditionally checked (true)');
Assert.isEqual(IS_STRING, IS_ANOTHER_STRING, DO_ASSERT, atCall + 'argument1 is: "JAVASCRIPT" ASSERTION UNIT, argument2 is: "ECMA Script" Assertion Unit');

}	//---TEST_signature


